Package owl.ltl.tlsf

## Enum Tlsf.Semantics

- java.lang.Object
- - java.lang.Enum<Tlsf.Semantics>
  - - owl.ltl.tlsf.Tlsf.Semantics

- All Implemented Interfaces:
    `Serializable`, `Comparable<Tlsf.Semantics>`
  Enclosing class:
    Tlsf

      public static enum Tlsf.Semantics
      extends Enum<Tlsf.Semantics>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MEALY` |
    `MEALY_STRICT` |
    `MOORE` |
    `MOORE_STRICT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isMealy()` |
    `boolean` | `isMoore()` |
    `boolean` | `isStrict()` |
    `static Tlsf.Semantics` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Tlsf.Semantics[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MEALY

          public static final Tlsf.Semantics MEALY

    - #### MEALY_STRICT

          public static final Tlsf.Semantics MEALY_STRICT

    - #### MOORE

          public static final Tlsf.Semantics MOORE

    - #### MOORE_STRICT

          public static final Tlsf.Semantics MOORE_STRICT

  - ### Method Detail

    - #### values

          public static Tlsf.Semantics[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Tlsf.Semantics c : Tlsf.Semantics.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Tlsf.Semantics valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isMealy

          public boolean isMealy()

    - #### isMoore

          public boolean isMoore()

    - #### isStrict

          public boolean isStrict()